#ifndef FILE_BLK_DEV_H
#define FILE_BLK_DEV_H

#include <stdint.h>
#include "blk_dev.h"

/**
 * Simulace blokoveho zarizeni, ktera data uklada do souboru.
 * Pro potreby vyvoje souboroveho systemu v uzivatelskem prostoru
 */
struct file_blk_dev
{
        struct blk_dev blk_dev;
        int fd;
};

int file_blk_dev_create(struct file_blk_dev *dev, char *file_name, uint32_t block_size, uint32_t dev_size);
int file_blk_dev_read(struct blk_dev *dev, unsigned char *buf, uint32_t blk_offset, uint32_t blk_cnt);
int file_blk_dev_write(struct blk_dev *dev, unsigned char *buf, uint32_t blk_offset, uint32_t blk_cnt);
int file_blk_dev_close(struct file_blk_dev *dev);

#endif

